html {
  cursor: url("images/cursor1.png"), auto;
}
body {
  margin: 0;
  background: pink;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  overflow: hidden;
  border: 1px solid #000;
  cursor:
    url("images/cursor1.png") 0 0,
    auto;
}

.canvas {
  position: relative;
  width: 1920px;
  height: 1080px;
  transform: scale(1);
  transform-origin: top center;
}

.canvas img {
  user-select: none;
  -webkit-user-drag: none;
  pointer-events: none;
  position: absolute;
  top: 0;
  left: 0;
  width: auto;
  height: auto;
}

.pink {
  top: auto;
  left: auto;
}

.gears {
  top: auto;
  left: auto;
}

.inventory {
  top: auto;
  left: auto;
}

.logo {
  top: auto;
  left: auto;
}
.garage {
  top: auto;
  left: auto;
}
.inv-button {
  position: absolute;
  width: 106px;
  height: 106px;

  background: none;
  border: none;
  cursor: pointer;
}
.inv-button.pressed {
  background-image: url("../images/down_button.png");
  background-size: contain;
  background-repeat: no-repeat;
}
.slot1 {
  top: 842px;
  left: 182px;
}
.slot2 {
  top: 842px;
  left: 289px;
}
.slot3 {
  top: 842px;
  left: 397px;
}
.slot4 {
  top: 842px;
  left: 505px;
}
#garage_wrapper {
  position: absolute;
  top: 410px;
  left: 1389px;
  width: 351px;
  height: 368px;
  overflow: hidden;
}

#garage_top,
#garage_bottom {
  position: absolute;
  width: 100%;
  height: 100%;
}

#garage_bottom {
  background-image: url("../images/iko.png");
  background-size: cover;
  background-repeat: no-repeat;
  z-index: 1;
  pointer-events: none;
}

#garage_top {
  background-image: url("../images/garage door.png");
  background-size: cover;
  background-repeat: no-repeat;
  z-index: 2;
  cursor: pointer;
  transition: transform 3s ease;
}

#garage_top.open {
  transform: translateY(-350px);
}
